## org.apache.mahout.cf.taste.impl.similarity.jdbc
Class SQL92JDBCItemSimilarity

    java.lang.Object
      org.apache.mahout.cf.taste.impl.common.jdbc.AbstractJDBCComponent
          org.apache.mahout.cf.taste.impl.similarity.jdbc.AbstractJDBCItemSimilarity
              org.apache.mahout.cf.taste.impl.similarity.jdbc.SQL92JDBCItemSimilarity

All Implemented Interfaces:
  Refreshable, ItemSimilarity

Direct Known Subclasses:
  MySQLJDBCItemSimilarity

    public class SQL92JDBCItemSimilarity

extends AbstractJDBCItemSimilarity

Field Summary

Fields inherited from class org.apache.mahout.cf.taste.impl.common.jdbc.AbstractJDBCComponent
`DEFAULT_DATASOURCE_NAME`

Constructor Summary
`SQL92JDBCItemSimilarity()`
`SQL92JDBCItemSimilarity(DataSource dataSource)`
`SQL92JDBCItemSimilarity(DataSource dataSource, String similarityTable, String itemAIDColumn, String itemBIDColumn, String similarityColumn)`
`SQL92JDBCItemSimilarity(String dataSourceName)`

Method Summary

Methods inherited from class org.apache.mahout.cf.taste.impl.similarity.jdbc.AbstractJDBCItemSimilarity
`allSimilarItemIDs, getItemAIDColumn, getItemBIDColumn, getSimilarityColumn, getSimilarityTable, itemSimilarities, itemSimilarity, refresh`

Methods inherited from class org.apache.mahout.cf.taste.impl.common.jdbc.AbstractJDBCComponent
`checkNotNullAndLog, checkNotNullAndLog, getFetchSize, lookupDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQL92JDBCItemSimilarity

    public SQL92JDBCItemSimilarity()
                            throws TasteException

Throws:
  `TasteException`

### SQL92JDBCItemSimilarity

    public SQL92JDBCItemSimilarity(String dataSourceName)
                            throws TasteException

Throws:
  `TasteException`

### SQL92JDBCItemSimilarity

    public SQL92JDBCItemSimilarity(DataSource dataSource)

### SQL92JDBCItemSimilarity

    public SQL92JDBCItemSimilarity(DataSource dataSource,
                                   String similarityTable,
                                   String itemAIDColumn,
                                   String itemBIDColumn,
                                   String similarityColumn)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.